Bug 1186516 - Some tables still have Deselect All link active with nothing selected
Summary: Some tables still have Deselect All link active with nothing selected
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: WebUI
Version: 6.0.6
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: Unspecified
Assignee: Walden Raines
QA Contact: Katello QA List
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-27 20:33 UTC by Matt Reid
Modified: 2019-09-26 13:52 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-01 19:58:03 UTC
Target Upstream Version:


Attachments (Terms of Use)
Deselect All link is enabled when there's nothing to deselect (42.87 KB, image/png)
2015-01-27 20:34 UTC, Matt Reid
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 17685 0 None None None 2016-12-15 16:03:30 UTC

Description Matt Reid 2015-01-27 20:33:58 UTC
Description of problem:
Some of the tables in Satellite still show Deselect All as active and allow it to be clicked when there are no items selected in the table. For example, Hosts > Content Hosts and Host Collections.

With nothing selected (and especially no items in the table), I'd expect that link to be disabled. There's nothing selected, so there's nothing to de-select.

Version-Release number of selected component (if applicable):
6.0.6

Comment 1 Matt Reid 2015-01-27 20:34:45 UTC
Created attachment 984868 [details]
Deselect All link is enabled when there's nothing to deselect

Comment 2 RHEL Program Management 2015-01-27 20:53:49 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 4 Bryan Kearney 2016-07-08 20:44:35 UTC
Per 6.3 planning, moving out non acked bugs to the backlog

Comment 6 Walden Raines 2016-12-15 15:24:54 UTC
As far as I can tell this is only existent on the content hosts page.  The host collection page doesn't even have selection abilities.  Will fix the content host page.

Comment 7 Walden Raines 2016-12-15 15:30:21 UTC
Created redmine issue http://projects.theforeman.org/issues/17685 from this bug

Comment 8 Walden Raines 2016-12-15 15:35:55 UTC
PR: https://github.com/Katello/katello/pull/6499

Comment 9 Walden Raines 2016-12-15 15:36:43 UTC
If there are any additional pages that don't have buttons disabled correctly please file a separate bug.

Comment 10 Bryan Kearney 2016-12-16 19:07:27 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/17685 has been resolved.

Comment 11 Bryan Kearney 2017-08-01 19:58:03 UTC
The fix to this bug will be delivered with release 6.3 of Satellite.


Note You need to log in before you can comment on or make changes to this bug.